package org.example.finalproyect;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

/**
 * Created by JUANCARLOS on 09/11/2015.
 */
public class Actividades {

    private int _id;
    private String name;
    private String descripcion;
    private String imagen;
    private String explicacion;
    private static AltaActiviadesBD altaActiviadesBD;
    public Actividades(){}

    public Actividades(int _id,String name,String descripcion,String imagen,String explicacion){
        this._id=_id;
        this.name=name;
        this.descripcion=descripcion;
        this.imagen=imagen;
        this.explicacion=explicacion;
    }

    public int get_id() {
        return _id;
    }

    public Actividades set_id(int _id) {
        this._id = _id;
        return this;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public Actividades setDescripcion(String descripcion) {
        this.descripcion = descripcion;
        return this;
    }

    public String getExplicacion() {
        return explicacion;
    }

    public Actividades setExplicacion(String explicacion) {
        this.explicacion = explicacion;
        return this;
    }

    public String getImagen() {
        return imagen;
    }

    public Actividades setImagen(String imagen) {
        this.imagen = imagen;
        return this;
    }

    public String getName() {
        return name;
    }

    public Actividades setName(String name) {
        this.name = name;
        return this;
    }

    public static void inicializarBd(Context contexto){
        altaActiviadesBD=new AltaActiviadesBD(contexto);

    }
    public static Cursor listado(){
        SQLiteDatabase bd=altaActiviadesBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM Actividades",null);
    }
    //Aqui cargamos las actividades que estan en un determinado entrenamiento
    public static Cursor listadoActividadesEntrenamientos(int entrenamiento){
        SQLiteDatabase bd=altaActiviadesBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM Actividades WHERE _id IN(SELECT actividad FROM " +
                "entrenamiento_actividades WHERE entrenamiento="+entrenamiento+")",null);
    }
    public static Cursor listadoNoActividadesEntrenamientos(int entrenamiento){
        SQLiteDatabase bd=altaActiviadesBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM Actividades WHERE _id NOT IN(SELECT actividad FROM " +
                "entrenamiento_actividades WHERE entrenamiento="+entrenamiento+")",null);
    }
}
