package org.example.finalproyect;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

/**
 * Created by JUANCARLOS on 09/11/2015.
 */
public class Entrenamiento {
    private int _id;
    private int usuario;
    private String name;
    private String duracion;
    private String foto;
    private String descripcion;
    private static AltaActiviadesBD altaActiviadesBD;

  public Entrenamiento(){}
    public Entrenamiento(int _id,int usuario,String name,String duracion,String foto){
        this._id=_id;
        this.usuario=usuario;
        this.name=name;
        this.duracion=duracion;
        this.foto=foto;
    }

    public int get_id() {
        return _id;
    }

    public Entrenamiento set_id(int _id) {
        this._id = _id;
        return this;
    }

    public String getDuracion() {
        return duracion;
    }

    public Entrenamiento setDuracion(String duracion) {
        this.duracion = duracion;
        return this;
    }

    public String getFoto() {
        return foto;
    }

    public Entrenamiento setFoto(String foto) {
        this.foto = foto;
        return this;
    }

    public String getName() {
        return name;
    }

    public Entrenamiento setName(String name) {
        this.name = name;
        return this;
    }

    public int getUsuario() {
        return usuario;
    }

    public Entrenamiento setUsuario(int usuario) {
        this.usuario = usuario;
        return this;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public Entrenamiento setDescripcion(String descripcion) {
        this.descripcion = descripcion;
        return this;
    }

    public static void inicializarBd(Context contexto){
        altaActiviadesBD=new AltaActiviadesBD(contexto);

    }

    public static Cursor listado(int usuario){
        SQLiteDatabase bd=altaActiviadesBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM Entrenamiento WHERE usuario="+usuario,null);
    }
    public static Cursor listado(){
        SQLiteDatabase bd=altaActiviadesBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM Entrenamiento ",null);
    }

}
