package org.example.finalproyect;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Intent;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.TextView;

/**
 * Created by JUANCARLOS on 13/11/2015.
 */
public class ListaEntrenamientoActividades extends ActionBarActivity implements AdapterView.OnItemClickListener {
    public MiAdaptador adaptador;
    private static AltaActiviadesBD altaActiviadesBD;
    private int entrenamiento;
    private int idd=-1;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_actividades);
        Bundle extras=getIntent().getExtras();
        idd=extras.getInt("id");
        entrenamiento=idd;
      /*  final TextView e=new TextView(this);
        e.setText(String.valueOf(idd));
        new AlertDialog.Builder(this)
                .setTitle("codigo entrenamiento")
                .setMessage("el codigo del entrenmiento es")
                .setView(e)
                .show();*/
        Actividades.inicializarBd(this);
        adaptador=new MiAdaptador(this,Actividades.listadoActividadesEntrenamientos(idd));
        ListView listView=(ListView)findViewById(R.id.listView);
        listView.setAdapter(adaptador);
        listView.setOnItemClickListener(this);


    }
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main_actividades_entrenamiento, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if(id==R.id.acercaDe){
            Intent intent=new Intent(this,AcercaDe.class);
            startActivity(intent);
            return true;
        }
        if(id==R.id.add){
            cargarListaActividades();
            return true;
        }


        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
      /*  altaActiviadesBD=new AltaActiviadesBD(this);
        SQLiteDatabase bd=altaActiviadesBD.getWritableDatabase();
        bd.execSQL("INSERT INTO entrenamiento_actividades VALUES(null,"+entrenamiento+","+id+")");
        bd.close();*/
        Intent intent=new Intent(this,AmpliarActividad.class);
        intent.putExtra("id",id);
        intent.putExtra("entrenamiento",entrenamiento);
        intent.putExtra("existe","si");
        startActivity(intent);
    }
    public void cargarListaActividades(){
        Intent intent=new Intent(this,ListaActividades.class);
        intent.putExtra("entrenamiento",idd);
        startActivity(intent);
        finish();
    }

    @Override
    protected void onActivityResult(int requestCode,int resultCode,Intent data){
        if(requestCode==1111 && resultCode==RESULT_OK){
            Intent i=new Intent(this,ListaEntrenamientoActividades.class);
            i.putExtra("id",idd);
            startActivity(i);
            finish();
        }
    }


}
