package org.example.finalproyect;

import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends Activity {

    private TextView usuario,password;
    private Button aceptar;
    private static AltaActiviadesBD altaActiviadesBD;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.identificacion);
        alta();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement


        return super.onOptionsItemSelected(item);
    }

    public void alta(){
        altaActiviadesBD=new AltaActiviadesBD(this);
        password=(EditText)findViewById(R.id.EditTextPasword);
        usuario=(EditText)findViewById(R.id.editTextUsuario);
        aceptar=(Button)findViewById(R.id.botonAceptar);
        SQLiteDatabase bd=altaActiviadesBD.getReadableDatabase();
        Cursor cursor=bd.rawQuery("SELECT * FROM usuarios",null);
        while(cursor.moveToNext()){
            password.setText(cursor.getString(1).toString());
            usuario.setText(cursor.getString(2).toString());
            //aceptar.setText(Integer.toString(cursor.getInt(0)));
        }
        cursor.close();
        bd.close();
        CargarDatos ca=new CargarDatos();
        ca.cagarDatosBD(this);
    }
    public void identificarse(View view){
        password=(EditText)findViewById(R.id.EditTextPasword);
        usuario=(EditText)findViewById(R.id.editTextUsuario);
        String pas=password.getText().toString();
        String usu=usuario.getText().toString();
        Intent i=new Intent(this,Identificarse.class);
        i.putExtra("usuario",usu);
        i.putExtra("password",pas);
        startActivity(i);
    }
}
