package org.example.finalproyect;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageButton;
import android.widget.TextView;

/**
 * Created by JUANCARLOS on 11/11/2015.
 */
public class AmpliarActividad extends Activity {
 private static AltaActiviadesBD altaActiviadesBD;
    private ImageButton add,delete,modifi;
    private int entrenamiento=-1;
    private int actividad;
    @Override
    protected void onCreate(Bundle savedInstanceState){
        super.onCreate(savedInstanceState);
        setContentView(R.layout.actividad_ampliada);
        Bundle extras=getIntent().getExtras();
        entrenamiento=extras.getInt("entrenamiento");
        TextView titulo,descripcion,ampliar;
        titulo=(TextView)findViewById(R.id.tituloActividad);
        descripcion=(TextView)findViewById(R.id.descripcionActividad);
        ampliar=(TextView)findViewById(R.id.explicacionActividad);
        add=(ImageButton)findViewById(R.id.imageButtonAdd);
        delete=(ImageButton)findViewById(R.id.imageButtonDelete);
        modifi=(ImageButton)findViewById(R.id.imageButtonModifi);
        if(extras.get("existe")!=null && extras.get("existe").equals((String)"si")){
            add.setVisibility(View.INVISIBLE);
        }
        if(entrenamiento!=-1){
            modifi.setVisibility(View.INVISIBLE);
        }
            altaActiviadesBD=new AltaActiviadesBD(this);
            SQLiteDatabase bd=altaActiviadesBD.getReadableDatabase();
            actividad=(int)extras.getLong("id");
       /* final TextView e=new TextView(this);
        e.setText(String.valueOf(entrenamiento));
        new AlertDialog.Builder(this)
                .setTitle("codigo entrenamiento")
                .setMessage("el codigo del entrenmiento es")
                .setView(e)
                .show();*/

        Cursor c=bd.rawQuery("SELECT * FROM Actividades WHERE _id="+actividad,null);
            if(c.moveToFirst()){
                titulo.setText(c.getString(1));
                descripcion.setText(c.getString(2));
                ampliar.setText(c.getString(4));
            }
            c.close();
            bd.close();


    }
    public void adActividad(View view){
        altaActiviadesBD=new AltaActiviadesBD(this);
        SQLiteDatabase db=altaActiviadesBD.getWritableDatabase();
        db.execSQL("Insert into entrenamiento_actividades VALUES(null," + entrenamiento + "," + actividad + ")");
        db.close();
        Intent intent=new Intent(this,ListaEntrenamientoActividades.class);
        intent.putExtra("id",entrenamiento);
        startActivity(intent);
        finish();
    }
    public void modificarActivity(View view){
        Intent intent=new Intent(this,ModificarActividad.class);
        intent.putExtra("id",actividad);
        intent.putExtra("entrenamiento",entrenamiento);
        startActivity(intent);
        finish();
    }

    public void borrarActividad(View view){
        if(entrenamiento<1){
            //si entramos por actividades borramos todos los registros de esa actividad
            altaActiviadesBD=new AltaActiviadesBD(this);
            SQLiteDatabase db=altaActiviadesBD.getWritableDatabase();
            db.execSQL("BEGIN;");
            db.execSQL("DELETE FROM entrenamiento_actividades WHERE actividad="+actividad);
            db.execSQL("DELETE FROM Actividades WHERE _id="+actividad);
            db.execSQL("COMMIT;");
            db.close();
            Intent intent=new Intent(this,ListaActividades.class);
            intent.putExtra("entrenamiento",-1);
            startActivity(intent);
            finish();
        }
        else {
            altaActiviadesBD = new AltaActiviadesBD(this);
            SQLiteDatabase db = altaActiviadesBD.getWritableDatabase();
            db.execSQL("DELETE FROM entrenamiento_actividades WHERE entrenamiento=" + entrenamiento + " AND  actividad=" + actividad);
            db.close();
            Intent intent = new Intent(this, ListaEntrenamientoActividades.class);
            intent.putExtra("idd", entrenamiento);
            startActivity(intent);
            finish();
        }
    }
}
